## yorick-ygsl 1.1.1

=== debian/changelog ===
yorick-ygsl (1.1.1-3) unstable; urgency=medium

  * Set minimum version in "Breaks"

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 31 Mar 2014 11:43:59 +0200

yorick-ygsl (1.1.1-2) unstable; urgency=low

  * Replace "Conflicts: yorick-yeti-gsl" field with "Breaks".
  * Update VCS* fileds
  * Check against standards version 3.9.5 (no changes)

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 04 Mar 2014 13:42:17 +0100

yorick-ygsl (1.1.1-1) unstable; urgency=low

  * Initial upload (Closes: 732363)

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 17 Dec 2013 10:33:55 +0100
