=== debian/control ===
Source: yorick-ygsl
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), libgsl0-dev (>= 1.8)
Standards-Version: 3.9.5
Vcs-Git:      git://anonscm.debian.org/debian-science/packages/yorick-ygsl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-ygsl.git
Homepage: https://github.com/emmt/ygsl

Package: yorick-ygsl
Architecture: any
Depends: yorick (>= 1.6.02), ${shlibs:Depends}, ${misc:Depends}
Breaks:   yorick-yeti-gsl (<< 6.3.3)
Replaces: yorick-yeti-gsl (<< 6.3.3)
Provides: yorick-yeti-gsl
Description: GSL special functions plugin for the Yorick language
 YGSL is a Yorick plug-in to bring over 120 special functions of the
 GSL (GNU Scientific Library) into Yorick.
 .
 This package deprecates yorick-yeti-gsl and provides the yeti_gsl.i
 include file.
