## yorick-ygsl 1.2.0

=== debian/changelog ===
yorick-ygsl (1.2.0-2build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 09:31:31 -0500

yorick-ygsl (1.2.0-2) unstable; urgency=low

  * Bug fix: "GSL transition requires rebuild", thanks to Dirk
    Eddelbuettel (Closes: #804502). Changed build dep to libgsl-dev.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 10 Nov 2015 11:54:39 +0100

yorick-ygsl (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 03 Oct 2014 10:57:31 +0200
