=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), libgsl0-dev (>= 1.8)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), yorick-dev (>= 2.1.06), libgsl-dev (>= 1.8)
+Standards-Version: 3.9.6
 Vcs-Git:      git://anonscm.debian.org/debian-science/packages/yorick-ygsl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick-ygsl.git
 Homepage: https://github.com/emmt/ygsl
