## yorick-ygsl 1.2.1

=== Makefile ===
--- 
+++ 
@@ -41,12 +41,12 @@
 PKG_CLEAN= cmp.tmp1 cmp.tmp2
 
 # autoload file for this package, if any
-PKG_I_START=
+PKG_I_START=${srcdir}/gsl-start.i
 # non-pkg.i include files for this package, if any
 PKG_I_EXTRA=
 
-RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README.md TODO \
-	configure gsl.i ygsl.c
+RELEASE_FILES = AUTHORS LICENSE Makefile NEWS README.md \
+	configure gsl.i gsl-start.i ygsl.c
 RELEASE_NAME = $(PKG_NAME)-$(RELEASE_VERSION).tar.bz2
 
 # -------------------------------- standard targets and rules (in Makepkg)
@@ -119,9 +119,10 @@
 	    echo >&2 "directory $$dir already exists"; \
 	  else \
 	    mkdir -p "$$dir"; \
-	    for src in $(RELEASE_FILES); do \
-	      dst="$$dir/$$src"; \
-	      if test "$$src" = "Makefile"; then \
+	    for file in $(RELEASE_FILES); do \
+	      src="$(srcdir)/$$file"; \
+	      dst="$$dir/$$file"; \
+	      if test "$$file" = "Makefile"; then \
 	        sed <"$$src" >"$$dst" -e 's/^\( *Y_\(MAKEDIR\|EXE\(\|_PKGS\|_HOME\|_SITE\)\|HOME_PKG\) *=\).*/\1/'; \
 	        touch -r "$$src" "$$dst"; \
 	      else \
