=== debian/changelog ===
yorick-ygsl (1.2.1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Add missing build dependency on yorick-dev for command dh_installyorick.
  * watch file standard 4 (routine-update)
  * d/rules:
     - ignore failures in dh_auto_clean
     - do not set DEB_HOST_ARCH
  * Build-Depends: libgsl-dev

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2025 19:48:14 +0100

yorick-ygsl (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 01 Dec 2016 14:31:41 +0100
