=== debian/control ===
Source: yorick-ygsl
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgsl-dev,
               yorick-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/yorick-ygsl
Vcs-Git: https://salsa.debian.org/science-team/yorick-ygsl.git
Homepage: https://github.com/emmt/ygsl

Package: yorick-ygsl
Architecture: any
Depends: yorick,
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: yorick-yeti-gsl (<< 6.3.3)
Provides: yorick-yeti-gsl
Replaces: yorick-yeti-gsl (<< 6.3.3)
Description: GSL special functions plugin for the Yorick language
 YGSL is a Yorick plug-in to bring over 120 special functions of the
 GSL (GNU Scientific Library) into Yorick.
 .
 This package deprecates yorick-yeti-gsl and provides the yeti_gsl.i
 include file.
