=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/ygsl-$1.tar.gz/ \
  https://github.com/emmt/ygsl/tags .*/v?(\d[\d\.]+)\.tar\.gz
